# Uses of Class
org.apache.cxf.BusFactory

Packages that use BusFactory
Package
Description
org.apache.cxf
org.apache.cxf.bus
org.apache.cxf.bus.spring

- ## Uses of BusFactory in org.apache.cxf

  Methods in org.apache.cxf that return BusFactory
  Modifier and Type
  Method
  Description
  `static BusFactory`
  BusFactory.`newInstance()`
  Create a new BusFactory The class of the BusFactory is determined by looking for the system propery: org.apache.cxf.bus.factory or by searching the classpath for: META-INF/services/org.apache.cxf.bus.factory
  `static BusFactory`
  BusFactory.`newInstance(String className)`
  Create a new BusFactory

- ## Uses of BusFactory in org.apache.cxf.bus

  Subclasses of BusFactory in org.apache.cxf.bus
  Modifier and Type
  Class
  Description
  `class`
  `CXFBusFactory`

- ## Uses of BusFactory in org.apache.cxf.bus.spring

  Subclasses of BusFactory in org.apache.cxf.bus.spring
  Modifier and Type
  Class
  Description
  `class`
  `SpringBusFactory`